Can import update

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /project-plans/projects/{projectId}/can-import-update

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
application/json

Body Required

  • activityCount integer(int64)

Responses

  • 200 */*

    OK

    Hide response attribute Show response attribute object
    • canImportUpdate boolean
POST /project-plans/projects/{projectId}/can-import-update
curl \
 --request POST 'https://live.smartpmtech.com/project-plans/projects/{projectId}/can-import-update' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "activityCount": 42
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "activityCount": 42
}
Response examples (200)
{
  "canImportUpdate": true
}